/* * * * * * * * * * * */
/* Content Box Formats */
/* * * * * * * * * * * */
#ruhs-banner {
    border: var(--border);
    border-radius: var(--border-radius);
}

main {
    row-gap: 1vw;
}

.information-form,
.transportation-form,
.sheet-music,
.ruhs-calendar,
#ruhs-form {
    width: 80%;
    padding-bottom: 16px;

    border: var(--border);
    border-radius: var(--border-radius);

    margin-top: 6px;
    background-color: var(--background);
}

/* Info + Transportation block */
.info-transportation-block {
    display: flex;
    gap: 1vw;
    width: 80%;
}

.transportation-form,
.information-form {
    flex: 1;
}

/* Transportation Forms */
.transportation-form {
    justify-items: center;
}

ol {
    text-align: left;
    line-height: 150%;
}

/* Sheet Music */
.sheet-music {
    display: grid;
    place-items: center;
}

/* Calendar */

.calendar-size-container {
    width: 70vw;
    height: 45vw;
    box-sizing: border-box;

    margin: 0 auto;
    margin-bottom: 2.85vw;
}

/*Desktop Form*/

form {
    display: grid;
    grid-template-columns: auto auto auto auto;
    gap: 2vh;
    padding: 3vw;

    text-align: left;
    align-items: center;
}

/*Input fields stylizing*/
form input,
form select,
form textarea {
    background-color: #2c2c2c;  /* field background */
    color: var(--text);             /* typed text color */
    border: 2px solid #6c6c6c;
    font-size: clamp(0.8rem, 1.25vw + 0.25rem, 1.5rem);
    font-family: Candara, Trebuchet MS;
}

form button {
    grid-column: 1/5;
}

form button:hover {
    color: var(--hover);
    grid-column: 1/5;
    cursor: pointer;
}

form hr {
    display: none;
}

@media screen and (max-width:1200px) {
    /* Info + Transportation block */
    .info-transportation-block {
        flex-wrap: wrap;
    }

    .transportation-form,
    .information-form {
        flex-grow: 1;
        flex-basis: 100%;
    }
}

@media screen and (max-width:1530px) {
    
    /*Form*/
    form {
        display:flex;
        flex-direction: column;
        padding-left: 15vw;
        padding-right: 15vw;
        text-align: center;
    }
    form input,
    form select,
    form textarea {
    width: 40vw;
    text-align: center;
    }

    form hr {
        margin-top: 2vh;
        margin-bottom: 2vh;
        padding: auto;
        display: block;
        width: 120%;
        height: 0.25vh;
        background-color: var(--background);
        border-width: 2px;
    }

    #ruhs-form p {
        margin-bottom: 0;
    }
}